Package: org.codehaus.groovy.control

## [Java] Class ASTTransformationsContext

- org.codehaus.groovy.control.ASTTransformationsContext

-     public class ASTTransformationsContext
      extends Object

  Stores state information about global AST transformations applied to a compilation unit.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CompilationUnit` | `compilationUnit` |
    `protected Set<String>` | `globalTransformNames` |
    `protected GroovyClassLoader` | `transformLoader` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CompilationUnit` | `getCompilationUnit()`
    `` | `public Set<String>` | `getGlobalTransformNames()`
    `` | `public GroovyClassLoader` | `getTransformLoader()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final CompilationUnit compilationUnit

    - #### protected final Set<String> globalTransformNames

    - #### protected final GroovyClassLoader transformLoader

  - ### Constructor Detail

    - #### public ASTTransformationsContext(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)

  - ### Method Detail

    - #### public CompilationUnit getCompilationUnit()

    - #### public Set<String> getGlobalTransformNames()

    - #### public GroovyClassLoader getTransformLoader()